<?php

namespace Teknisa\Libs\Service;

use Teknisa\Libs\Util\Log\ZhuLog as ZhuLogInfo;

class ZhuLog {
    /** @var ZhuLogInfo $zhuLogInfo */
    private $zhuLogInfo;

    /**
     * @param ZhuLogInfo $zhuLogInfo
     */
    public function __construct(ZhuLogInfo $zhuLogInfo) {
        $this->zhuLogInfo = $zhuLogInfo;
    }

    public function find($conditions, $page, $pageSize, $orderBy) {
        return $this->zhuLogInfo->find($conditions, $page, $pageSize, $orderBy);
    }
} 